Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QtJambiInternal

    java.lang.Object
      com.trolltech.qt.QtJambiInternal

Deprecated.

    @Deprecated
    public class QtJambiInternal

extends java.lang.Object

Constructor Summary
`QtJambiInternal()` Deprecated.

Method Summary
`static void` | `addSearchPathForResourceEngine(java.lang.String path)` Deprecated.
`static void` | `connectSlotsByName(QObject object)` Deprecated.
`static void` | `countExpense(java.lang.Class<?> cl, int cost, int limit)` Deprecated.
`static java.lang.Object` | `createExtendedEnum(int value, int ordinal, java.lang.Class<?> cl, java.lang.String name)` Deprecated.
`static java.lang.Object` | `fetchField(java.lang.Object owner, java.lang.Class<?> declaringClass, java.lang.String fieldName)` Deprecated.
`static void` | `removeSearchPathForResourceEngine(java.lang.String path)` Deprecated.
`static void` | `setField(java.lang.Object owner, java.lang.Class<?> declaringClass, java.lang.String fieldName, java.lang.Object newValue)` Deprecated.
`static void` | `threadCheck(QObject obj)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QtJambiInternal

    public QtJambiInternal()

  Deprecated.

Method Detail

### connectSlotsByName

    @Deprecated
    public static void connectSlotsByName(QObject object)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.QSignalEmitter.connectSlotsByName() instead.

### addSearchPathForResourceEngine

    @Deprecated
    public static void addSearchPathForResourceEngine(java.lang.String path)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.core.QAbstractFileEngine.addSearchPathForResourceEngine() instead.

### removeSearchPathForResourceEngine

    @Deprecated
    public static void removeSearchPathForResourceEngine(java.lang.String path)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.core.QAbstractFileEngine.removeSearchPathForResourceEngine() instead.

### threadCheck

    @Deprecated
    public static void threadCheck(QObject obj)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.GeneratorUtilities.threadCheck() instead.

### fetchField

    @Deprecated
    public static java.lang.Object fetchField(java.lang.Object owner,
                                                         java.lang.Class<?> declaringClass,
                                                         java.lang.String fieldName)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.GeneratorUtilities.fetchField() instead.

### setField

    @Deprecated
    public static void setField(java.lang.Object owner,
                                           java.lang.Class<?> declaringClass,
                                           java.lang.String fieldName,
                                           java.lang.Object newValue)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.GeneratorUtilities.setField() instead.

### countExpense

    @Deprecated
    public static void countExpense(java.lang.Class<?> cl,
                                               int cost,
                                               int limit)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.GeneratorUtilities.countExpense() instead.

### createExtendedEnum

    @Deprecated
    public static java.lang.Object createExtendedEnum(int value,
                                                                 int ordinal,
                                                                 java.lang.Class<?> cl,
                                                                 java.lang.String name)

  Deprecated.

  This method has been deprecated. Please use com.trolltech.qt.GeneratorUtilities.createExtendedEnum() instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD